Skip to main content
`Ctrl`+`K`

# DMSetApplicationContextDestroy

Sets a user function that will be called to destroy the application context when the `DM` is destroyed

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetApplicationContextDestroy(DM dm, PetscCtxDestroyFn *destroy)

Logically Collective if the function is collective

## Input Parameters

- dm - the `DM` object

- destroy - the destroy function, see `PetscCtxDestroyFn` for the calling sequence

## See Also

DM Basics, `DM`, `DMSetApplicationContext()`, `DMView()`, `DMCreateGlobalVector()`, `DMCreateInterpolation()`, `DMCreateColoring()`, `DMCreateMatrix()`, `DMCreateMassMatrix()`, `DMGetApplicationContext()`, `PetscCtxDestroyFn`

## Level

intermediate

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages